#ifndef __DOMOpticalPhoton__H__
#define __DOMOpticalPhoton__H__

//*************************************************************************
//* ---------------------
//* DOMOpticalPhoton Class
//* ---------------------
//* (Description)
//*     Abstract module class for imput data.
//* (Requires)
//* (Provides)
//*	DOMOpticalPhoton              : base class for modules
//* (Update Record)
//*	2003/12/15  K.Hoshina	Original version.
//*************************************************************************

#include <DOMVParticle.h>

class DOMOpticalPhoton : public DOMVParticle {

public:

  DOMOpticalPhoton();
  DOMOpticalPhoton(const TVector3 &pos,
                   const TVector3 &dir);

  virtual ~DOMOpticalPhoton();

  static TString  &GetParticleName() { return fgParticleName; }
  static Double_t  GetRestMass()     { return fgRestMass;     }
  static Double_t  GetCharge()       { return fgCharge;       }

  virtual void     DumpInfo() {}

private:

  static TString  fgParticleName;  // particle name = "OpticalPhoton"
  static Double_t fgRestMass;      // rest mass of the particle
  static Double_t fgCharge;        // charge of the particle

  ClassDef(DOMOpticalPhoton, 1)    // Optical photon class

};

#endif
