#ifndef __DOMPhotoElectron__H__
#define __DOMPhotoElectron__H__

//*************************************************************************
//* ---------------------
//* DOMPhotoElectron Class
//* ---------------------
//* (Description)
//*     Abstract module class for imput data.
//* (Requires)
//* (Provides)
//*	DOMPhotoElectron              : base class for modules
//* (Update Record)
//*	2003/12/15  K.Hoshina	Original version.
//*************************************************************************

#include <DOMVParticle.h>

class DOMPhotoElectron : public DOMVParticle {

public:

  DOMPhotoElectron();
  DOMPhotoElectron(const TVector3 &pos,
                   const TVector3 &dir);

  virtual ~DOMPhotoElectron();

  static TString  &GetParticleName() { return fgParticleName; }
  static Double_t  GetRestMass()     { return fgRestMass;     }
  static Double_t  GetCharge()       { return fgCharge;       }

  virtual void     DumpInfo() {}

private:

  static TString  fgParticleName;  // particle name = "PhotoElectron"
  static Double_t fgRestMass;      // rest mass of the particle
  static Double_t fgCharge;        // charge of the particle

  ClassDef(DOMPhotoElectron, 1)    // Optical photon class

};

#endif
