//*************************************************************************
//* --------------------
//* DOMPoint
//* --------------------
//* (Description)
//*	Abstract base class for DOM modules.
//* (Requires)
//* (Provides)
//* (Update Record)
//*	2003/12/22  K.Hoshina	Original version.
//*************************************************************************

#include "DOMPoint.h"

ClassImp(DOMPoint)

using namespace std;

//=====================================================================
//* constructor -------------------------------------------------------

DOMPoint::DOMPoint()
          :TObject(), fValidity(kTRUE), fTime(0)
{
}

DOMPoint::DOMPoint(const TVector3 &fPosition, const TVector3 &fDirection,
                     Double_t time)
          :TObject(), fValidity(kTRUE), fPosition(fPosition), fDirection(fDirection), fTime(time)
{
}

//=====================================================================
//* destructor --------------------------------------------------------

DOMPoint::~DOMPoint()
{
}

//=====================================================================
//* Output     --------------------------------------------------------

void DOMPoint::Output(ofstream &out)
{

   out << "position  : " << fPosition.X() << " " << fPosition.Y() 
                         << " " << fPosition.Z() << endl;
   out << "direction : " << fDirection.X() << " " << fDirection.Y() 
                         << " " << fDirection.Z() << endl;
   out << "time      : " << fTime << endl;

}




