//*************************************************************************
//* --------------------
//* DOMVModule
//* --------------------
//* (Description)
//*	Abstract base class for DOM modules.
//* (Requires)
//* (Provides)
//* (Update Record)
//*	2003/12/22  K.Hoshina	Original version.
//*************************************************************************

#include "DOMVModule.h"
#include <iostream>

ClassImp(DOMVModule)

using namespace std;

EState DOMVModule::fgState   = kAlive;
Int_t  DOMVModule::fgNEvents = 0;
Int_t  DOMVModule::fgCurEventNo = 0;

//=====================================================================
//* constructor -------------------------------------------------------

DOMVModule::DOMVModule(const char *name, const char *title)
       			: TTask(name,title)
{
   //cerr << "DOMVModule::constructor is called" << endl;
}

//=====================================================================
//* destructor --------------------------------------------------------

DOMVModule::~DOMVModule()
{
}

//=====================================================================
//* Exec --------------------------------------------------------------

void DOMVModule::Exec(Option_t *opt)
{
   if (fgBeginTask == this) fgState = kAlive;
   if (fgState != kAlive) return;

   TString option(opt);

   if (option == "Configure") {

      //cerr << "DOMVModule::Exec: Configure of " << GetName() 
      //     << " is called! " << endl;
      Configure();

   } else if (option == "Process") {
      //cerr << "DOMVModule::Exec: Process of " << GetName() 
      //     << " is called! " << endl;
 
      Process();

   } else if (option == "Finish") {  
      //cerr << "DOMVModule::Exec: Finish of " << GetName() 
      //     << " is called! " << endl;
   
      Finish();
   }

   if (fgState != kAlive) {
      switch (fgState) { 
         case kVanished:
            //cerr << "DOMVModule::Exec: The particle vanished at "
            //     << GetName() << endl; 
            break;
         case kAbsorbed:
            //cerr << "DOMVModule::Exec: The particle is absorbed at "
            //     << GetName() << endl; 
            break;
         case kAborted:
            //cerr << "DOMVModule::Exec: The program is aborted at "
            //     << GetName() << endl; 
            break;
         default:
            //cerr << "DOMVModule::Exec: Wrong Code! something strange happen!" << endl; 
            break;
      }
   }

   fgCurEventNo++;

}














