#ifndef __DOMVParticle__H__
#define __DOMVParticle__H__

//*************************************************************************
//* ---------------------
//* DOMVParticle Class
//* ---------------------
//* (Description)
//*     Abstract module class for imput data.
//* (Requires)
//* (Provides)
//*	DOMVParticle              : base class for modules
//* (Update Record)
//*	2003/12/15  K.Hoshina	Original version.
//*************************************************************************


#include <DOMPoint.h>

using namespace std;

class DOMVParticle : public DOMPoint {

public:

  DOMVParticle();
  DOMVParticle(const TVector3 &pos,
               const TVector3 &dir);

  virtual ~DOMVParticle();

  virtual void Output(ofstream &out);
  virtual void DumpInfo() = 0;
  

  inline  TVector3  GetPolarization() const { return fPolarization; }
  inline  void      SetPolarization(TVector3 pol) { fPolarization = pol; }

protected:

  TVector3  fPolarization;         // polarization of the particle

  ClassDef(DOMVParticle, 1)    // abstract base class for modules

};

#endif

