#ifndef __DOMPMTPEChargeDatum__H__
#define __DOMPMTPEChargeDatum__H__

//*************************************************************************
//* ---------------------
//* DOMPMTPEChargeDatum Class
//* ---------------------
//* (Description)
//*     Abstract module class for imput data.
//* (Requires)
//* (Provides)
//*	DOMPMTPEChargeDatum              : base class for modules
//* (Update Record)
//*	2003/12/15  K.Hoshina	Original version.
//*************************************************************************

#include <DOMVDatum.h>

class DOMPMTPEChargeDatum : public DOMVDatum {

public:

  DOMPMTPEChargeDatum() : DOMVDatum(){}
  DOMPMTPEChargeDatum(Double_t charge, Double_t time)
                      : DOMVDatum(), fCharge(charge), fTime(time) {}

  virtual ~DOMPMTPEChargeDatum() {}

  inline Double_t  GetCharge()     { return fCharge;     }
  inline Double_t  GetTime()     { return fTime;     }

private:

  Double_t fCharge;      // rest mass of the particle
  Double_t fTime;      // charge of the particle

  ClassDef(DOMPMTPEChargeDatum, 1)    // Optical photon class

};

#endif
